# Method: bidders.pretargetingConfigs.addTargetedPublishers

- [HTTP request](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs/addTargetedPublishers#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs/addTargetedPublishers#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs/addTargetedPublishers#body.request_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs/addTargetedPublishers#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs/addTargetedPublishers#body.response_body)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs/addTargetedPublishers#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs/addTargetedPublishers#try-it)

Adds targeted publishers to the pretargeting config.

### HTTP request

`POST https://realtimebidding.googleapis.com/v1/{pretargetingConfig=bidders/*/pretargetingConfigs/*}:addTargetedPublishers`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `pretargetingConfig` | `string` Required. The name of the pretargeting configuration. Format: bidders/{bidderAccountId}/pretargetingConfig/{configId} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "publisherIds": [ string ], "targetingMode": enum (`https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs#TargetingMode`) } ``` |

| Fields ||
|---|---|
| `publisherIds[]` | `string` A list of publisher IDs to target in the pretargeting configuration. These values will be added to the list of targeted publisher IDs in `https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs#PretargetingConfig.FIELDS.publisher_targeting`. Publishers are identified by their publisher ID from ads.txt / app-ads.txt. See <https://iabtechlab.com/ads-txt/> and <https://iabtechlab.com/app-ads-txt/> for more details. |
| `targetingMode` | ``enum (`https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs#TargetingMode`)`` Required. The targeting mode that should be applied to the list of publisher IDs. If are existing publisher IDs, must be equal to the existing `https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs#PretargetingConfig.FIELDS.publisher_targeting` or a 400 bad request error will be returned. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs#PretargetingConfig`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/realtime-bidding`